package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;

public class DtbOrdSteps extends EntityBase {

    private String dataOrd;
    private String gestione;
    private Integer idRiga;
    private Integer idStep;
    private Integer numOrd;
    private String activityId;
    private String codAnag;
    private String codDtip;
    private String codJfas;
    private String codMdep;
    private String codProdPri;
    private String dataDoc;
    private String dataFine;
    private String dataIniz;
    private String descrizioneAttivita;
    private String flagTipoTempo;
    private Integer hrNum;
    private BigDecimal hrTime;
    private String idRigaDoc;
    private String note;
    private String numDoc;
    private Integer numFase;
    private BigDecimal qtaAllocata;
    private BigDecimal qtaDisp;
    private BigDecimal qtaDispImmessa;
    private BigDecimal qtaImmesse;
    private BigDecimal qtaInProd;
    private BigDecimal qtaLav;
    private BigDecimal qtaProd;
    private BigDecimal qtaScartate;
    private BigDecimal qtaTrasferite;
    private BigDecimal rapConvLav;
    private String serDoc;
    private String untMisLav;


    public String getDataOrd() {
        return dataOrd;
    }

    public DtbOrdSteps setDataOrd(String dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public DtbOrdSteps setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public Integer getIdRiga() {
        return idRiga;
    }

    public DtbOrdSteps setIdRiga(Integer idRiga) {
        this.idRiga = idRiga;
        return this;
    }

    public Integer getIdStep() {
        return idStep;
    }

    public DtbOrdSteps setIdStep(Integer idStep) {
        this.idStep = idStep;
        return this;
    }

    public Integer getNumOrd() {
        return numOrd;
    }

    public DtbOrdSteps setNumOrd(Integer numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public String getActivityId() {
        return activityId;
    }

    public DtbOrdSteps setActivityId(String activityId) {
        this.activityId = activityId;
        return this;
    }

    public String getCodAnag() {
        return codAnag;
    }

    public DtbOrdSteps setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public DtbOrdSteps setCodDtip(String codDtip) {
        this.codDtip = codDtip;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public DtbOrdSteps setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public DtbOrdSteps setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getCodProdPri() {
        return codProdPri;
    }

    public DtbOrdSteps setCodProdPri(String codProdPri) {
        this.codProdPri = codProdPri;
        return this;
    }

    public String getDataDoc() {
        return dataDoc;
    }

    public DtbOrdSteps setDataDoc(String dataDoc) {
        this.dataDoc = dataDoc;
        return this;
    }

    public String getDataFine() {
        return dataFine;
    }

    public DtbOrdSteps setDataFine(String dataFine) {
        this.dataFine = dataFine;
        return this;
    }

    public String getDataIniz() {
        return dataIniz;
    }

    public DtbOrdSteps setDataIniz(String dataIniz) {
        this.dataIniz = dataIniz;
        return this;
    }

    public String getDescrizioneAttivita() {
        return descrizioneAttivita;
    }

    public DtbOrdSteps setDescrizioneAttivita(String descrizioneAttivita) {
        this.descrizioneAttivita = descrizioneAttivita;
        return this;
    }

    public String getFlagTipoTempo() {
        return flagTipoTempo;
    }

    public DtbOrdSteps setFlagTipoTempo(String flagTipoTempo) {
        this.flagTipoTempo = flagTipoTempo;
        return this;
    }

    public Integer getHrNum() {
        return hrNum;
    }

    public DtbOrdSteps setHrNum(Integer hrNum) {
        this.hrNum = hrNum;
        return this;
    }

    public BigDecimal getHrTime() {
        return hrTime;
    }

    public DtbOrdSteps setHrTime(BigDecimal hrTime) {
        this.hrTime = hrTime;
        return this;
    }

    public String getIdRigaDoc() {
        return idRigaDoc;
    }

    public DtbOrdSteps setIdRigaDoc(String idRigaDoc) {
        this.idRigaDoc = idRigaDoc;
        return this;
    }

    public String getNote() {
        return note;
    }

    public DtbOrdSteps setNote(String note) {
        this.note = note;
        return this;
    }

    public String getNumDoc() {
        return numDoc;
    }

    public DtbOrdSteps setNumDoc(String numDoc) {
        this.numDoc = numDoc;
        return this;
    }

    public Integer getNumFase() {
        return numFase;
    }

    public DtbOrdSteps setNumFase(Integer numFase) {
        this.numFase = numFase;
        return this;
    }

    public BigDecimal getQtaAllocata() {
        return qtaAllocata;
    }

    public DtbOrdSteps setQtaAllocata(BigDecimal qtaAllocata) {
        this.qtaAllocata = qtaAllocata;
        return this;
    }

    public BigDecimal getQtaDisp() {
        return qtaDisp;
    }

    public DtbOrdSteps setQtaDisp(BigDecimal qtaDisp) {
        this.qtaDisp = qtaDisp;
        return this;
    }

    public BigDecimal getQtaDispImmessa() {
        return qtaDispImmessa;
    }

    public DtbOrdSteps setQtaDispImmessa(BigDecimal qtaDispImmessa) {
        this.qtaDispImmessa = qtaDispImmessa;
        return this;
    }

    public BigDecimal getQtaImmesse() {
        return qtaImmesse;
    }

    public DtbOrdSteps setQtaImmesse(BigDecimal qtaImmesse) {
        this.qtaImmesse = qtaImmesse;
        return this;
    }

    public BigDecimal getQtaInProd() {
        return qtaInProd;
    }

    public DtbOrdSteps setQtaInProd(BigDecimal qtaInProd) {
        this.qtaInProd = qtaInProd;
        return this;
    }

    public BigDecimal getQtaLav() {
        return qtaLav;
    }

    public DtbOrdSteps setQtaLav(BigDecimal qtaLav) {
        this.qtaLav = qtaLav;
        return this;
    }

    public BigDecimal getQtaProd() {
        return qtaProd;
    }

    public DtbOrdSteps setQtaProd(BigDecimal qtaProd) {
        this.qtaProd = qtaProd;
        return this;
    }

    public BigDecimal getQtaScartate() {
        return qtaScartate;
    }

    public DtbOrdSteps setQtaScartate(BigDecimal qtaScartate) {
        this.qtaScartate = qtaScartate;
        return this;
    }

    public BigDecimal getQtaTrasferite() {
        return qtaTrasferite;
    }

    public DtbOrdSteps setQtaTrasferite(BigDecimal qtaTrasferite) {
        this.qtaTrasferite = qtaTrasferite;
        return this;
    }

    public BigDecimal getRapConvLav() {
        return rapConvLav;
    }

    public DtbOrdSteps setRapConvLav(BigDecimal rapConvLav) {
        this.rapConvLav = rapConvLav;
        return this;
    }

    public String getSerDoc() {
        return serDoc;
    }

    public DtbOrdSteps setSerDoc(String serDoc) {
        this.serDoc = serDoc;
        return this;
    }

    public String getUntMisLav() {
        return untMisLav;
    }

    public DtbOrdSteps setUntMisLav(String untMisLav) {
        this.untMisLav = untMisLav;
        return this;
    }
}
